 #define TEXT_DISK 0x00
 #define TEXT_TRACK 0x01
 
 #define SSA_MODE_NORMAL 0x00
 #define SSA_MODE_ARTIST 0x01
 #define SSA_MODE_GENRE 0x02
 #define SSA_MODE_ALBUM 0x03
 
 /* Codes sent from 51d to 8051 */
 #define _51D_INIT 0x10		/* 4Bytes */
 #define PLAYING_TRACK 0x48	/* 4Bytes: Track(2) + Disk(2) */
 #define ASCII_FOLLOWS 0x50	/* 14Bytes: Type(1) + PacketNum(1) + ASCII(12) */
 #define PONG 0x70		/* 0Bytes */
 #define TRACKS 0x7C		/* 4Bytes: Track(2) + Disk(2) */
 #define DISKS 0x7D		/* 2Bytes: Disks(2) */
 #define FIRMWARE_UPLOAD 0xA3	/* 8Bytes: DATA */
 
 /* Codes sent from 8051 to 51d */
 #define SESINFO 0x11		/* 4Bytes: SSAMode(1) + RunType(1) + Lot(2) */
 #define REQ_SETTINGS 0x12
 #define CUR_SETTINGS 0x13	/* Not sure what this does or syntax */
 #define UCID 0x14
 #define PLUGIN_SET 0x15		/* 2Bytes: PWid(1) + Activate(1) */
 #define REQ_TOT_TRK 0x20	/* 2Bytes: Disk(2) */
 #define Q_TOT_DSK 0x21		/* 0Bytes */
 #define Q_TRACK_LEN 0x22
 #define PLAY 0x30		/* 6Bytes: Track(2) + Disk(2) + Offset(2) */
 #define STOP 0x32		/* 0Bytes */
 #define REPEAT_TRK 0x33		/* 0Bytes */
 #define REPEAT_DSK 0x34		/* 0Bytes */
 #define REPEAT_OFF 0x35		/* 0Bytes */
 #define BEGIN_SEEK 0x36		/* 1Byte */
 #define END_SEEK 0x37
 #define GET_AUDIOID 0x38	/* 4Bytes: Track(2) + Disk(2) */
 #define MARK_TRACK 0x39
 #define RAND_ON 0x40		/* 5Bytes: ?0x0b?(1) + Track?(2) + Disk?(2) */
 #define MAG_RAND_ON 0x41	/* 5Bytes: ?0x76?(1) + Track?(2) + Disk?(2) */
 #define RAND_PRESS 0x43
 #define MAG_RAND_PRESS 0x44
 #define RAND_FORWARD 0x45	/* 0Bytes */
 #define RAND_REVERSE 0x46	/* 0Bytes */
 #define RAND_OFF 0x47		/* 0Bytes */
 #define REQ_TRACK_NAME 0x56	/* 4Bytes: Track(2) + Disk(2) */
 #define REQ_DISK_NAME 0x57	/* 2Bytes: Disk(2) */
 #define STANDBY 0x60
 #define SHUTDOWN 0x61		/* 0Bytes */
 #define HDD_WAKEUP 0x62
 #define PROG_PLD 0x63
 #define PLAY_LOOPFILE 0x64
 #define SYNC_REQ 0x65
 #define PING 0x66		/* 0Bytes */
 #define REQ_REBOOT_UC 0x67
 #define UTIL_INFO 0x71
 #define UTIL_HALTED 0x72
 #define CUR_TEMP 0x73
 #define INF_8051_REBOOTING 0x78
 #define UNMUTE_DAC 0x80
 #define SSA_PLAY_MODE 0x90	/* 1Byte: 0=Normal, 1=Artists, 2=Genres, 3=Albums */
 #define ENTER_FEATURE 0x91
 #define SEL_MENU_ITEM 0x93
 #define MENU_DESCEND 0x94
 #define MENU_ASCEND 0x95
 #define REQ_FIRMWARE 0xA0
 #define REQ_BOOT_FIRMWARE 0xA1
 #define REQ_TEST_FIRMWARE 0xA2
 #define INF_ARM_BOOTOK 0xB0
 #define INF_51_BOOTOK 0xB1
 #define INF_ERASE_OK 0xB2
 #define INF_51_PROGED_OK 0xB3
 #define INF_STATUS_RESULT 0xB5
 #define SMALL_TRANS_PACK 0xC0
 #define MED_TRANS_PACK 0xC2
 #define LRG_TRANS_PACKET 0xC3
 #define OLD_UTIL_INFO 0xE0
 #define OLD_UTIL_HALTED 0xE1
 #define UC_DEBUG 0xE2
 #define OLD_REQ_FIRMWARE 0xF3
 #define OLD_REQ_BOOT_FIRMWARE 0xF5
 #define OLD_PROG_PLD 0xFB
 
 /* Used globally */
 #define HEADER_ACK 0xAC
 #define BLOCK_ACK 0xBD
 #define PACKET_ACK 0xCE
 #define ERROR_DATA 0xFE
 #define ERROR 0xFF
